## ros-dashing-marti-common-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(marti_common_msgs)

set(CMAKE_CXX_STANDARD 14)

set(MSG_DEPS 
  builtin_interfaces
  std_msgs
)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)

set(MSG_FILES
  msg/BoolStamped.msg
  msg/ByteArrayStamped.msg
  msg/DurationStamped.msg
  msg/Float32Stamped.msg
  msg/Float64Stamped.msg
  msg/HealthStatus.msg
  msg/Int16Stamped.msg
  msg/Int32Stamped.msg
  msg/Int64Stamped.msg
  msg/Int8Stamped.msg
  msg/KeyValue.msg
  msg/KeyValueArray.msg
  msg/Matrix3x3Stamped.msg
  msg/ServiceHeader.msg
  msg/StringArrayStamped.msg
  msg/StringStamped.msg
  msg/TimeStamped.msg
  msg/UInt16Stamped.msg
  msg/UInt32Stamped.msg
  msg/UInt64Stamped.msg
  msg/UInt8Stamped.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-dashing-marti-common-msgs (1.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-dashing-marti-common-msgs (1.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-dashing-marti-common-msgs (1.0.0-1bionic) bionic; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-dashing-marti-common-msgs (0.8.0-1bionic) bionic; urgency=high

  * Merge pull request #96 <https://github.com/swri-robotics/marti_messages/issues/96> from matt-attack/add-psuedo-service
  * Add ServiceHeader message
  * Contributors: Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-dashing-marti-common-msgs (0.7.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-dashing-marti-common-msgs (0.6.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-dashing-marti-common-msgs (0.5.0-1bionic) bionic; urgency=high

  * Add Matrix3x3Stamped message (#90 <https://github.com/swri-robotics/marti_messages/issues/90>)
  * Contributors: Jerry Towler

 -- P. J. Reed <preed@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-dashing-marti-common-msgs (0.4.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-dashing-marti-common-msgs (0.3.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-dashing-marti-common-msgs (0.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-dashing-marti-common-msgs (0.1.0-1bionic) bionic; urgency=high

  * Add HealthStatus message
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.9-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.8-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.7-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-dashing-marti-common-msgs (0.0.6-1bionic) bionic; urgency=high

  * Add StringArrayStamped message.
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.5-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.4-1bionic) bionic; urgency=high

  * Adding KeyValueArray message.
    This message is meant to be useful when you just need to publish a
    list of KeyValue pairs directly instead of including a list in another
    message.
  * Contributors: Elliot Johnson

 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-dashing-marti-common-msgs (0.0.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-dashing-marti-common-msgs (0.0.2-1bionic) bionic; urgency=high

  * Adds a KeyValue message. KeyValue stores a pair of Strings for a map-like
    data structure.
  * Adds a stamped byte array
  * Contributors: Elliot Johnson, Jerry Towler

 -- P. J. Reed <preed@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-dashing-marti-common-msgs (0.0.1-1bionic) bionic; urgency=high

  * Initial Release
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-marti-common-msgs
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-generators, ros-dashing-std-msgs, ros-dashing-ros-workspace, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-fastrtps-c, ros-dashing-rosidl-typesupport-fastrtps-cpp, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-dashing-marti-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-runtime, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: marti_common_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-marti-common-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
